CVE-2023-31794

NameCVE-2023-31794
DescriptionMuPDF v1.21.1 was discovered to contain an infinite recursion in the component pdf_mark_list_push. This vulnerability allows attackers to cause a Denial of Service (DoS) via a crafted PDF file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mupdf (PTS)buster1.14.0+ds1-4+deb10u3vulnerable
buster (security)1.14.0+ds1-4+deb10u2vulnerable
bullseye1.17.0+ds1-2vulnerable
bullseye (security)1.17.0+ds1-1.3~deb11u1vulnerable
bookworm1.21.1+ds2-1vulnerable
trixie1.23.10+ds1-1fixed
sid1.24.3+ds1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mupdfsource(unstable)1.22.1+ds1-1unimportant

Notes

Hang in enduser tool, no security impact
https://bugs.ghostscript.com/show_bug.cgi?id=706506
Fixed by: https://git.ghostscript.com/?p=mupdf.git;a=commit;h=c0015401693b58e2deb5d75c39f27bc1216e47c6 (1.22.0-rc1)

Search for package or bug name: Reporting problems